{pkgs', ...}: let
  bashFktScript = import ./bash-fkt.nix {
    inherit pkgs';
  };
in
  pkgs'.writeShellScriptBin "run-ci-tests" ''

    source ${pkgs'.common}/bin/common
    ${bashFktScript}

    echo_header "Running CI tests"
    setup_go_env

    echo_section "Running tests"
    cd ${./../../source} || (echo_fail "Failed to cd to application source" && exit 1)
    if ! CGO_CFLAGS="-Wno-format-security" ${pkgs'.go}/bin/go test -tags "runOnTask" ./...
    then
      echo_fail "Failed to run tests"
      exit 1
    fi

  ''
